# How to configure routings

Routings for Slack notifications enable sending alerts to different Slack channels for various workloads within a cluster based on labels.&#x20;

```yaml
slack_token: 'slack-token' # replace with your slack_token
channel: 'slack-test' # replace with your channel name
routings:
  - label_key_3
  - label_key_4   
```

To maximize your effectiveness, Slack routing is available not only on the workload level but also on the namespace level. This means you can configure routing for specific workloads as well as for the entire namespace.

{% hint style="info" %}
Workload labels take precedence over namespace labels. If you set a routing label for a workload that differs from the label for its namespace, PerfectScale will send Alerts to the channel specified for the workload.
{% endhint %}

Example of a label:

`label_some_key : label_some_value`, where `label_some_value` = Slack channel name

## Slack Routing Configuration

1. Name the profile.
2. Ensure to configure `slack_token` and include the relevant data in the [**`slack_token`**](https://docs.perfectscale.io/customize-workflow/communication-and-messaging/slack-integration/how-to-configure-slack_token) field. This field is **mandatory**.&#x20;
3. Indicate the `channel`. This field is **mandatory,** and the indicated channel will be the default channel if Advanced Alert Routing fails.
4. List `label_key`(s).
5. Verify if your Slack is configured properly with the `Test Integration` button.&#x20;
6. Click **`Save`** button.

{% hint style="warning" %}
The channel\_id is deprecated.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.perfectscale.io/customize-workflow/communication-and-messaging/slack-integration/how-to-configure-routings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
